{% extends 'base.html' %}
{% load crispy_forms_tags %}

{% block content %}
    <script type="application/javascript">
        window.addEventListener("DOMContentLoaded", (event) => {
            $('#id_titre').focus();
        });
    </script>
    <div class="title">
        <h2 class="text-center">Edition de la mission {{ demande.titre }}</h2>
    </div>
    <div class="col-md-10 offset-md-1">
        {% if demande.etat != 'cree' %}
            <div style="color: #7a000f">Note : l'édition des dates de la mission et du rendez-vous n'est plus possible
                après la validation. Créez une nouvelle demande pour modifier les dates.
            </div>
        {% endif %}

        {% crispy form %}

    </div>

    <script>
        $(document).ready(function () {
            // Les datetimeinput sont désactivés, on ne change pas le curseur
            {% if demande.etat != 'cree' %}
                $('.datetimeinput').prop('style', 'pointer-events:none;');
            {% else %}
                $('.datetime-input').datetimepicker({
                    format: 'd/m/Y H:i',
                    lang: 'fr',
                });
            {% endif %}

            // Cache les infos qui ne concernent pas le type spécifique de mission
            $('.optional').hide();
            $('.optional#' + $('#id_type').val()).show();
        })

        $('#id_type').change(function () {
            $('.optional').hide();
            $('.optional#' + $('#id_type').val()).show('fast');
        });

        // setup previous and next buttons
        $('#button-id-previous').click(() => {
            $(".nav-tabs .active").parent().prev("li").find('a').click();
        });

        $('#button-id-next').click(() => {
            $(".nav-tabs .active").parent().next("li").find('a').click();
        });
    </script>
{% endblock %}
